CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug {options]

Erilaisia komentoriviliittymiä, jotka ovat hyödyllisiä calibren virheenkorjauksessa. Ilman vaihtoehtoja, tämä komento käynnistää sulautetun Python-tulkin. Voit myös ajaa pääohjelman calibre graafisen käyttöliittymän, calibre E-kirjan katseluohjelman ja calibre-editorin virheenkorjaustilassa.

Se sisältää myös rajapintoja erilaisiin calibren osiin, joissa ei ole omia komentorivityökaluja, kuten fonttien alustus, E-kirjan diff-työkalu ja niin edelleen.

Voit myös käyttää calibre-debug-ohjelmaa itsenäisten skriptien suorittamiseen. Käytä sitä näin:
        calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Kaikki -- jälkeinen siirretään skriptille. Voit myös käyttää calibre-debug shebangina skripteissä, esimerkiksi näin:
        #!/usr/bin/env -S calibre-debug -e -- --

Aina kun annat calibre-debug:lle argumentteja, joissa on välilyöntejä, sulje argumentit lainausmerkkeihin. Esimerkiksi: "/some path/with spaces"

[VALINNAT]

    --add-simple-plugin
        Lisää yksinkertainen laajennus (eli laajennus, joka koostuu vain .py tiedostosta) määrittämällä laajennuskoodin sisältävän py-tiedoston polku.

    --command, -c
        Suorita Python-koodi.

    --debug-device-driver, -d
        Laitteen tunnistamisen vianmääritys

    --default-programs
        Lisää/Poistaa calibren Windows oletusohjelmiin/-sta. --default-programs = (register|unregister)

    --diff
        Suorita calibre diff-työkalu. Esimerkiksi: calibre-debug --diff file1 file2

    --edit-book
        Käynnistä calibre "Muokkaa kirjaa" debug-tilassa. Kuten -g komennon kohdalla, käytä -- valitsinta argumenttien välittämiseen.

    --exec-file, -e
        Suorita tiedoston Python-koodi.

    --explode-book, -x
        Pura kirja määritettyyn kansioon. Käyttö: -x file.epub output_dir Vie kirjan HTML-tiedostojen ja metadata kokoelmana, jota voit muokata tavallisilla HTML-muokkaustyökaluilla. Toimii EPUB-, AZW3-, HTMLZ- ja DOCX-tiedostojen kanssa.

    --export-all-calibre-data
        Vie kaikki calibre-tiedot (kirjat/asetukset/laajennukset). Normaalisti sinulta kysytään vientikansiota ja vietäviä kirjastoja. Voit myös ohittaa kysymykset määrittämällä ne komentoriviargumenteiksi. Käytä absoluuttisia polkuja vientikansiossa ja kirjastoissa. Erityistä avainsanaa "all" voidaan käyttää kaikkien kirjastojen viemiseen. Esimerkkejä: calibre-debug --export-all-calibre-data # interaktiiviseen käyttöön calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # vie kaikki tunnetut kirjastot

    --gui, -g
        Suorita käyttöliittymässä virheenkorjauksen kanssa. Korjaus tulostuu stdout- ja stderr-ulostuloihin. Voit välittää komentoriviargumentteja käyttämällä -- merkkiä, jota seuraa argumentit, esimerkiksi: calibre-debug -g -- /e-kirjan/polku

    --gui-debug
        Suorita graafinen käyttöliittymä virheenkorjauskonsolilla kirjautumalla määritettyyn polkuun. Käytä vain sisäiseen käyttöön -g-vaihtoehtoa graafisen käyttöliittymän suorittamiseen virheenkorjaustilassa

    --help, -h
        näytä tämä ohjeviesti ja poistu

    --implode-book, -i
        Kasaa aikaisemmin räjäytetty kirja. Käyttö: -i vientikansio tiedosto.epub Tuo kirjan vientikansion tiedostoista. Kansion sisällön tulee olla aikaisemmin luotu --explode_book-komennolla. Huomaa myös, että tiedostotyypin on oltava sama kuin lähdetiedoston.

    --import-calibre-data
        Tuo aikaisemmin vietyjä calibre-tietoja

    --inspect-mobi, -m
        Tutki MOBI-tiedostoja osoitetuissa poluissa

    --kepubify
        Muunna määritetty EPUB-tiedosto KEPUB-muotoon ilman täydellistä muunnosta. Kobo tekee tämän lähettäessään tiedostoja laitteeseen.

    --paths
        Tulosta hakemistopolut, joita tarvitaan calibre-ympäristön määrittelyyn

    --run-plugin, -r
        Suorita laajennus, joka tarjoaa komentorivikäyttöliittymän. Esimerkiksi: calibre-debug -r "Plugin name" -- file1 --option1 Kaikki -- jälkeen oleva välitetään laajennukselle argumentteina.

    --run-test, -t
        Suorita nimetyt testit. Käytä erityistä arvoa "all" kaikkien testien suorittamiseen. Jos testin nimi alkaa pisteellä, sen oletetaan olevan moduulin nimi. Jos testin nimi alkaa @-merkillä, sen oletetaan olevan luokan nimi.

    --run-without-debug
        Älä käytä DEBUG-lippua asetettuna

    --shutdown-running-calibre, -s
        Pakottaa käynnissä olevien calibre-instanssien sammumisen. Huomaa, että tämä pakottaa kaikkien käynnissä olevien prosessien päättämisen, joten käytä varoen.

    --subset-font, -f
        Tiivistä määritetty fontti. Käyttö -- valinnan jälkeen, jotta se siirtyy fontinpoimintaohjelmaan.

    --test-build
        Testaa buildin binäärimoduulit

    --un-kepubify
        Muunna määritetty KEPUB-tiedosto EPUB-muotoon ilman täydellistä muunnosta. Kobo tekee tämän lähettäessään tiedostoja laitteeseen.

    --version
        näytä ohjelman versionumero ja poistu

    --viewer, -w
        Suorita e-kirjan katselu debug-tilassa. Komennon -g kohdalla, käytä -- valitsinta argumenttien välittämiseen.

Author
Kovid Goyal

Copyright
Kovid Goyal